/** Shopify CDN: Minification failed

Line 16:0 Unexpected "<"
Line 23:0 Unexpected "{"
Line 23:1 Expected identifier but found "%"
Line 35:2 Unexpected "{"
Line 35:3 Expected identifier but found "%"
Line 38:0 Unexpected "{"
Line 38:1 Expected identifier but found "%"
Line 82:2 Unexpected "{"
Line 82:3 Expected identifier but found "%"
Line 84:0 Unexpected "{"
... and 12 more hidden warnings

**/
<style>
.tabs {
    /* margin-top: 20px; */
    display: flex;
    flex-wrap: wrap;
    gap: 6px;
}
{% comment %} .image-section {
  position: relative;
  width: 100%;
  height: 300px; /* Adjust the height as needed */
  background-image: url('path/to/your/image.jpg'); /* Your background image path */
  background-size: cover; /* Ensure the image covers the entire area */
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color:#FFEEE0;
} {% endcomment %}


{% comment %} .image-section {
    position: relative;
    max-width:200px;
}

.image-container {
      text-align: center;
    color: white;
    position: absolute;
    top: -66px;
    background: #FFEEE0;
    border-radius: 61px;
}
.image-container {
    width: 180px;
    height: 70px;
}

.image-text h2 {
  font-size: 36px;
  font-weight: bold;
  margin: 0;
}

.logo-img {
    width: 123px;
    height: 81px;
    /* margin-bottom: 20px; */
}

.new-models-section {
  padding: 60px 0;
  text-align: center;
}
@media screen and (max-width:1492px){
.image-section {
        bottom: 11%;
        left:44%;
}
}
@media screen and (max-width:1024px){
.image-section {
        left:41%;
}
} {% endcomment %}

{% comment %} .image-section{
       display:none;
    }  {% endcomment %}
{% comment %} section.new-models-section {
    /* margin-top: 70px; */
} {% endcomment %}
/* Styling for the tabs */
{% comment %} .tabs {
  /* margin-top: 20px; */
} {% endcomment %}
.models-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* Default 4 columns */
  gap: 20px;
  max-width: 100%; /* Ensure the grid doesn't overflow the container */
  margin: 0 auto; /* Center the grid container */
}

.model-card {
  background: #f9f9f9;
  border-radius: 8px;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.08);
  padding: 13px;
  display: flex;
  flex-direction: column;
  justify-content:space-between;
  align-items: center;
  transition: all 0.3s ease;
  border: 1px solid #E1E1E1;
  text-align: center;
  width: 100%; /* Ensure the card doesn't overflow */
  
}

@media (max-width: 1024px) {
  .models-grid {
    grid-template-columns: repeat(3, 1fr) !important; /* 3 columns on medium screens */
    gap: 15px; /* Reduce gap to fit content */
  }

  .model-title {
    font-size: 20px;
  }

  .model-buttons .btn {
    width: 100%;
    height: 35px;
  }

  .model-buttons .btn {
    font-size: 15px;
  }
  .tabs {
    /* margin-top: 20px; */
    display: flex;
    flex-wrap: wrap;
    gap: 1px;
}
}

@media (max-width: 768px) {
  .models-grid {
    grid-template-columns: repeat(2, 1fr) !important; /* 2 columns on smaller screens */
    gap: 15px; /* Reduce gap further */
  }

  .section-outer-heading {
    font-size: 33px;
    line-height: 40px;
  }

  .model-title {
    font-size: 18px;
  }

  .model-buttons .btn {
    width: 100%;
    height: 40px;
    font-size: 15px;
  }
}

@media (max-width: 480px) {
  .models-grid {
    grid-template-columns: 1fr !important; /* 1 column on very small screens */
    gap: 12px; /* Adjust gap for small screens */
  }

  .section-outer-heading {
    font-size: 32px;
    line-height: 32px;
  }

  .model-title {
    font-size: 19px;
  }

  .model-buttons .btn {
    font-size: 14px;
    padding: 10px 12px;
  }
}

.tab-button {
    background-color: #fff;
    color: #333;
    padding: 7px 15px;
    border: none;
    cursor: pointer;
   
    font-size: 14px;
    line-height: 18px;
}

.tab-button.active {
    background-color: #ffeee0;
    color: #f36d21;
}

.tab-button:hover {
  background-color: #ffeee0;
    color: #f36d21;
}

.model-card {
  display: none; /* Initially hide all cards */
}

section.image-section {
    position: relative;
}
img.logo-img {
    background: #fff7ee;
    padding: 10px;
    border-radius: 60px;
}
.image-text {
    position: absolute;
    bottom: -18px;
    left: 43%;
}
  .new-models-page-width{
    padding:0 6rem !important;
  }
  .collection-container {
    max-width: 1500px;
    margin: 0 auto;
    background: white;
    padding: 20px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .heading-container {
    max-width: 1500px;
    margin: 0 auto;
    background: #F36D21;
    padding: 0px 9px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
  }
  .new-models-section {
    padding: 60px 0;
    text-align: center;
  }

  .section-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .section-outer-heading {
    font-size: 48px;
    font-weight: 700;
    word-wrap: break-word;
    color:#000;
    margin-bottom:40px;
    line-height: 57px;
  }
.section-title {
    font-size: 24px;
    font-weight: 700;
    word-wrap: break-word;
    color: #fff;
    
}

  .year-filter {
    display: flex;
    align-items: center;
  }

  .year-filter label {
    margin-right: 10px;
    font-size: 18px;
    color: #F36D21;
  }

  .year-select {
    width: 158px;
    padding: 8px 16px;
    font-size: 16px;
    border-radius: 4px;
    border: none;
    background-color: #fff;
    cursor: pointer;
  }

  .year-select option {
    font-size: 16px;
  }

  .models-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }

  .model-card {
    background: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.08);
    padding: 13px;
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: all 0.3s ease;
    border: 1px solid #E1E1E1;
    text-align: center;
  }

  .model-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.12);
  }

  .model-image img {
    width: 100%;
    height: auto;
    object-fit: contain;
    border-radius: 8px;
    margin-bottom: 15px;
  }

  .model-title {
    font-weight: 600;
    font-size: 24px;
    width: 100%;
    margin: 0;
  }

  .model-subheading {
    font-weight: 400;
    font-size: 16px;
    margin: 0px;
  }

.model-buttons {
    display: flex;
    gap: 16px;
    width: 100%;
    justify-content: center;
    align-items: center;
}

  .model-buttons .btn {
    padding: 8px 15px;
    border-radius: 4px;
    text-decoration: none;
    font-size: 18px;
    font-weight: 600;
    transition: all 0.3s ease;
    width: 132px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .btn--primary {
    color: #F36D21 !important;
    background: #FFEEE0 !important;
    border: 1px solid #FFD5BD;
  }

  .btn--primary:hover {
    background: #F36D21 !important;
    color: #fff !important;
  }

  /* .btn--secondary {
    color: #666665;
    border: 1px solid lightgray;
  } */

  /* .btn--secondary:hover {
    color: #F36D21;
    border: 1px solid #F36D21;
  } */

  /* Responsive adjustments */
  @media (max-width: 1024px) {
    
    .models-grid {
      grid-template-columns: repeat(3, 1fr) !important;
    }

    .model-title {
      font-size: 20px;
    }

    .model-buttons .btn {
      width: 100%;
      height: 35px;
    }
    .model-buttons .btn {
    font-size: 15px;

}
  }

  @media (max-width: 768px) {
    
    .year-select {
    width: 30px;
  }
    .section-outer-heading {
    font-size: 33px;
    line-height: 40px;
}
    .image-section{
       display:none;
    }
    .models-grid {
      grid-template-columns: repeat(2, 1fr) !important;
    }

    .model-title {
      font-size: 18px;
    }

    .model-buttons .btn {
      width: 100%;
      height: 40px;
      font-size: 15px;
    }
        .tabs {
        margin-top: 0px;
        display: flex;
    
        gap: 1px;
        
    }
    .section-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}
    .section-header {
    padding: 20px;
    }
  }

  @media (max-width: 480px) {
    .tabs {
        margin-top: 0px;
        display: flex;
    
        gap: 1px;
        flex-direction: column;
        width: 100%;
    }
    .tab-button {
    border-radius: 4px;
}
    .section-outer-heading {
    font-size: 32px;
    line-height: 32px;
}
    .models-grid {
      grid-template-columns: 1fr !important;
    }

    .model-title {
      font-size: 19px;
    }

    .model-buttons .btn {
      font-size: 14px;
      padding: 10px 12px;
    }
    .section-title {
    display: none;
    }
  }
</style>
